Retrieves the type with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
marketing_segment| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| code | string |
Max length: 50 |
|
| segment |
Marketing segment Name |
string |
Required Max length: 50 |
| description |
Description of the segment |
string |
Max length: 255 |
| visit_frequency_days_interval |
Number of days between 2 visits |
integer | |
| frequency_logic |
Logic to apply for the frequency, which last events (value can be ORDER,MEETING_COMPLETED or ORDER_OR_MEETING_COMPLETED ) |
string | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "8d5dd681-968f-4ab1-9d5e-8bacd54bc441",
"code": "sample string 2",
"segment": "sample string 3",
"description": "sample string 4",
"visit_frequency_days_interval": 5,
"frequency_logic": "sample string 6",
"sales_organization_id": "d88cdf7c-1a1e-4291-81fc-8bb186394170",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "dca2b02e-371a-41ff-aa66-8334fd6373a8",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "3a76611a-d574-4d97-86e8-11d39d537e9d",
"db_currency_id": "de75fd5a-3bf2-4d2a-8b63-6dcb85622fa9",
"db_language_id": "b8b1c233-2d75-4bbc-9ccd-ff81cd70a766",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-03-24T07:13:35.2691695+00:00"
},
"modified_dateutc": "2026-03-24T07:13:35.2691695+00:00"
}